Bug 803828 - pt/pt-BR character set incomplete for {uppercase,lowercase}.alpha gentext
pt/pt-BR character set incomplete for {uppercase,lowercase}.alpha gentext
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: docbook-style-xsl (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE - Apps
: FastFix
Depends On:
Blocks: 1409825
  Show dependency treegraph
 
Reported: 2012-03-15 13:48 EDT by Steve Bonneville
Modified: 2017-08-30 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1409825 (view as bug list)
Environment:
Last Closed: 2017-08-30 08:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2012-03-15 13:48:23 EDT
Description of problem:

In /usr/share/sgml/docbook/xsl-stylesheets-1.75.2/common, the pt_br.xml and pt.xml files are missing characters used in Portuguese in the lowercase.alpha and uppercase.alpha gentext definitions.

The effect of this was seen when using Publican to build documentation translated into Portuguese.  The brand in question automatically puts chapter titles into all-caps; but the missing accented characters were not capitalized because the defined set of "lowercase" and "uppercase" characters for Portuguese is incomplete in the current docbook-style-xsl package.

Lines 205-206 of pt_br.xml currently read:
<l:gentext key="lowercase.alpha" text="abcdefghijklmnopqrstuvwxyz"/>
<l:gentext key="uppercase.alpha" text="ABCDEFGHIJKLMNOPQRSTUVWXYZ"/>

The corrected lines SHOULD read:
<l:gentext key="lowercase.alpha" text="abcdefghijklmnopqrstuvwxyzàáâãéêíóôõúüç"/>
<l:gentext key="uppercase.alpha" text="ABCDEFGHIJKLMNOPQRSTUVWXYZÀÁÂÃÉÊÍÓÔÕÚÜÇ"/>

The pt.xml file will need a similar correction.  Compare fr.xml or de.xml for reference to languages that have similar extended character sets properly defined.

Version-Release number of selected component (if applicable):

docbook-style-xsl-1.75.2-6.el6 

(docbook-style-xsl-1.76.1-1.fc14 is also known to be affected, Fedora that isn't EOL has not been checked yet)
Comment 6 Wander Boessenkool 2014-01-29 11:55:56 EST
Also present in F19 docbook-style-xsl-1.78.1
Comment 10 Ondrej Vasik 2017-01-03 09:36:09 EST
Quick update - in 1.79.1 it was fixed upstream for pt.xml - I'll request update for pt-BR as well - as RHEL 6 is in production phase 2 now, I see update in RHEL 6 very unlikely, though.
Comment 12 Ondrej Vasik 2017-08-30 08:48:02 EDT
Clean up, this is not production phase 3 material, pt was fixed upstream, pt-BR has upstream pull request. Closing WONTFIX for RHEL 6, sorry.

Note You need to log in before you can comment on or make changes to this bug.